TYPO3.Fluid - Bug # 28972

Status: Resolved Priority: Must have

Author: Peter Beernink Category: Core

Created: 2011-08-14 Assigned To: Sebastian Kurfuerst
Updated: 2011-08-16 Due date:

Has patch: No

Affected Flow version:

Subject:

(v5) Bug in new caching mechanism

Description

After creating a fresh clone of the FLOW3 base distribution, | encountered the following behaviour.
When you run the FLOW3 Welcome package for the first time, everything works as expected however, when you refresh the page, all

styling is gone.

It turned out that the HTML output is missing all code between the <f:base> and the first variable, {version} in this case.

Doing some further checking, that whole block is missing from the cached PHP code in the Cache/Code/Fluid_TemplateCache/...html

file

Although I've tested this in v5, it might as well be also an issue in v4.

Associated revisions

Revision 5871852d - 2011-08-15 20:18 - Sebastian Kurfuerst

[+BUGFIX] Resource Interceptor should create RootNode and no TextNode

We do not support compiling TextNodes with children, thus we create a RootNode

in the Resourcelnterceptor.

Resolves: #28972

Change-Id: [f63b3ff19ea9af433c042d06fc724cbab3987f42

History

#1 - 2011-08-15 10:46 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

I'll look into this. Thanks for reporting!

#2 - 2011-08-15 11:25 - Bastian Waidelich
- Status changed from New to Accepted

- Assigned To changed from Bastian Waidelich to Sebastian Kurfuerst

| can reproduce the issue and the problem seems to be the Resource Interceptor that wraps the uri.resource ViewHelper around text nodes to fix

relative URls.

The good news: It's not a problem of the compiling process itself and it won't affect v4!
@Sebastian | assign this to you so you'll notice - | currently don't have enough time to dig deeper into this.

#3 - 2011-08-15 12:24 - Bastian Waidelich

Bastian Waidelich wrote:

One more note:

The good news: It's not a problem of the compiling process itself [...]

That's prohbably not entirly true:

The resource Interceptor adds child nodes to a TextNode - that seems to be not supported by TemplateCompiler::convertTextNode()

#4 - 2011-08-15 20:10 - Sebastian Kurfuerst

thanks! I'll investigate this further.

#5 - 2011-08-15 20:18 - Mr. Hudson

Patch set 1 of change 1f63b3ff19ea9af433c042d06fc724cbab3987f42 has been pushed to the review server.
It is available at http://review.typo3.org/4349

#6 - 2011-08-15 20:18 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- % Done changed from 0 to 100

#7 - 2011-08-16 09:23 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
